Bug 457509 - (scim-thai) Review Request: scim-thai - Thai IMEngine for SCIM
Review Request: scim-thai - Thai IMEngine for SCIM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 04:40 EDT by Jens Petersen
Modified: 2008-08-05 21:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 21:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-08-01 04:40:05 EDT
Spec URL: http://petersen.fedorapeople.org/scim-thai/scim-thai.spec
SRPM URL: http://petersen.fedorapeople.org/scim-thai/scim-thai-0.1.1-1.fc9.src.rpm
Description: Thai Input Method Engine for SCIM
Comment 1 Parag AN(पराग) 2008-08-04 00:47:04 EDT
rpmlint gave me =>
scim-thai.i386: E: description-line-too-long Currently, it supports 3 keyboard layouts: Ketmanee, TIS-820.2538, and Pattachote.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

scim-thai.i386: E: description-line-too-long In addition to keyboard layout supports, it also validate input sequences in 3 levels of strictness: Passthrough (no check), Basic Check, and Strict Check.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

scim-thai.i386: E: description-line-too-long For applications that support surrounding text retrieval/deleting, it also corrects the invalid input sequences.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.
Comment 3 Parag AN(पराग) 2008-08-04 03:21:16 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=756505
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
caa84f54fedf4fe1bcf50dfe69ec112d  scim-thai-0.1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package scim-thai-0.1.1-2.fc10 =>
  Provides: thai-imengine-setup.so thai.so
  Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.4) libcairo.so.2 libfontconfig.so.1 libfreetype.so.6 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libm.so.6 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 libscim-1.0.so.8 libscim-1.0.so.8(LIBSCIM_1.0) libscim-gtkutils-1.0.so.8 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) libthai.so.0 rtld(GNU_HASH)
Comment 4 Parag AN(पराग) 2008-08-05 00:39:44 EDT
APPORVED.
Comment 5 Jens Petersen 2008-08-05 02:16:35 EDT
New Package CVS Request
=======================
Package Name: scim-thai
Short Description: Thai Input Method Engine for SCIM
Owners: petersen
Branches: devel F-9
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-05 12:18:31 EDT
cvs done.
Comment 7 Jens Petersen 2008-08-05 21:23:29 EDT
Package imported and built for devel and F-9.

Thanks for the quick review. :)

Note You need to log in before you can comment on or make changes to this bug.